curl --request POST \
--url https://api.g1.datacrazy.io/api/v1/activities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Reunião online",
"lead": {
"id": "15b41959-b04d-4a99-b878-6e45fffa7633"
},
"description": "Negociar preços com o cliente",
"startDate": "2025-10-09T03%3A00%3A00.000Z",
"endDate": "2025-10-09T03%3A00%3A00.000Z",
"attendant": {
"userId": "t9kn9mqPakdGG535GQK3hod8wzM2",
"id": "6807e48c25ece34f9f1ba7dd",
"name": "Joao Silva",
"email": "joaosilva@gmail.com",
"phone": "5547991331190",
"imageURL": "https://dc-qqqq1111pb.s3.amazonaws.com/profiles/koQGLa8p68fNZiiSmE1tec2LHtc2_2025-05-24T00%3A27%3A23.486Z"
},
"required": "false",
"linkToStage": "true",
"business": {
"id": "e9a09677-cf00-4d84-aa12-6d78d6786555"
},
"activityType": {
"id": "e9a09677-cf00-4d84-aa12-6d78d6786555"
},
"flow": {
"id": "8fcd6ff0-6b45-40e3-8e7d-abd456a5a459"
}
}
'import requests
url = "https://api.g1.datacrazy.io/api/v1/activities"
payload = {
"title": "Reunião online",
"lead": { "id": "15b41959-b04d-4a99-b878-6e45fffa7633" },
"description": "Negociar preços com o cliente",
"startDate": "2025-10-09T03%3A00%3A00.000Z",
"endDate": "2025-10-09T03%3A00%3A00.000Z",
"attendant": {
"userId": "t9kn9mqPakdGG535GQK3hod8wzM2",
"id": "6807e48c25ece34f9f1ba7dd",
"name": "Joao Silva",
"email": "joaosilva@gmail.com",
"phone": "5547991331190",
"imageURL": "https://dc-qqqq1111pb.s3.amazonaws.com/profiles/koQGLa8p68fNZiiSmE1tec2LHtc2_2025-05-24T00%3A27%3A23.486Z"
},
"required": "false",
"linkToStage": "true",
"business": { "id": "e9a09677-cf00-4d84-aa12-6d78d6786555" },
"activityType": { "id": "e9a09677-cf00-4d84-aa12-6d78d6786555" },
"flow": { "id": "8fcd6ff0-6b45-40e3-8e7d-abd456a5a459" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Reunião online',
lead: {id: '15b41959-b04d-4a99-b878-6e45fffa7633'},
description: 'Negociar preços com o cliente',
startDate: '2025-10-09T03%3A00%3A00.000Z',
endDate: '2025-10-09T03%3A00%3A00.000Z',
attendant: {
userId: 't9kn9mqPakdGG535GQK3hod8wzM2',
id: '6807e48c25ece34f9f1ba7dd',
name: 'Joao Silva',
email: 'joaosilva@gmail.com',
phone: '5547991331190',
imageURL: 'https://dc-qqqq1111pb.s3.amazonaws.com/profiles/koQGLa8p68fNZiiSmE1tec2LHtc2_2025-05-24T00%3A27%3A23.486Z'
},
required: 'false',
linkToStage: 'true',
business: {id: 'e9a09677-cf00-4d84-aa12-6d78d6786555'},
activityType: {id: 'e9a09677-cf00-4d84-aa12-6d78d6786555'},
flow: {id: '8fcd6ff0-6b45-40e3-8e7d-abd456a5a459'}
})
};
fetch('https://api.g1.datacrazy.io/api/v1/activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"title": "Reunião online",
"id": "e9a09677-cf00-4d84-aa12-6d78d6786555",
"createdAt": "2025-06-18T22:18:36.666Z",
"description": "Negociar preços com o cliente",
"startDate": "2025-10-09T03%3A00%3A00.000Z",
"endDate": "2025-10-09T03%3A00%3A00.000Z",
"isCompleted": "true",
"lead": "2025-10-09T03%3A00%3A00.000Z",
"business": {
"id": "e9a09677-cf00-4d84-aa12-6d78d6786555",
"createdAt": "2025-06-18T22:18:36.666Z",
"stageId": "e6803a51-4bd6-416b-b516-3622ff256732",
"leadId": "c1152508-fdfd-4905-a3f4-f3850cc00bf0",
"attendantId": "7e7da46a-a0ed-43c2-a3aa-3ac253f41b4d",
"nextActivityId": "3d3d23a-a0ed-43c2-a3aa-3ac23433f41g01",
"total": "70000",
"discount": 500,
"addition": 0,
"shipping": 2000,
"coupon": "CUPOM100",
"shippingType": "Sedex",
"status": "in_process",
"code": 50607,
"externalId": "f33420908-dcdc-4905-a3f4-f3850cc43bf0",
"lastMovedAt": "2025-06-18T22:18:36.611Z",
"statusChangedAt": "2025-06-18T22:20:14.611Z4",
"products": [],
"lossReasonId": "null",
"justification": "",
"productsCount": 2
},
"attendant": {
"userId": "t9kn9mqPakdGG535GQK3hod8wzM2",
"id": "6807e48c25ece34f9f1ba7dd",
"name": "Joao Silva",
"email": "joaosilva@gmail.com",
"phone": "5547991331190",
"imageURL": "https://dc-qqqq1111pb.s3.amazonaws.com/profiles/koQGLa8p68fNZiiSmE1tec2LHtc2_2025-05-24T00%3A27%3A23.486Z"
},
"activityType": {
"id": "e9a09677-cf00-4d84-aa12-6d78d6786555",
"name": "Reunião presencial",
"color": "#FF2200"
},
"required": "false",
"flow": {
"id": "8fcd6ff0-6b45-40e3-8e7d-abd456a5a459",
"name": "Fluxo de mensagens de boas-vindas",
"description": "Automação disparada para clientes não cadastrados na base",
"createdAt": "2025-09-09T16:27:15.522Z",
"updatedAt": "2025-09-09T16:27:15.522Z",
"group": "1",
"active": false
}
}Criar atividade
Cadastrar uma novo atividade
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Título da atividade.
"Reunião online"
Lead a ser vinculado a atividade
Show child attributes
Show child attributes
Descrição da atividade.
"Negociar preços com o cliente"
Filtro de intervalo, negócios que estão em negociação ou estavam em negociação em determinado intervalo. Formato (ISO 8601): YYYY-MM-DDTHH:mm:ss.sssZ
"2025-10-09T03%3A00%3A00.000Z"
Filtro de intervalo, negócios que estão em negociação ou estavam em negociação em determinado intervalo. Formato (ISO 8601): YYYY-MM-DDTHH:mm:ss.sssZ
"2025-10-09T03%3A00%3A00.000Z"
Atendente vinculado a atividade
Show child attributes
Show child attributes
Valor boneano que indica se a atividade é obrigatória ou não
"false"
Valor boneano que indica se a atividade deve ser vinculada a etapa do negócio ou não
"true"
Negócio a ser vinculado a atividade
Show child attributes
Show child attributes
Tipo de atividade.
Show child attributes
Show child attributes
Automação vinculada a atividade.
Show child attributes
Show child attributes
Response
Título da atividade.
"Reunião online"
ID da atividade.
"e9a09677-cf00-4d84-aa12-6d78d6786555"
Data de criação da atividade.
"2025-06-18T22:18:36.666Z"
Descrição da atividade.
"Negociar preços com o cliente"
Filtro de intervalo, negócios que estão em negociação ou estavam em negociação em determinado intervalo. Formato (ISO 8601): YYYY-MM-DDTHH:mm:ss.sssZ
"2025-10-09T03%3A00%3A00.000Z"
Filtro de intervalo, negócios que estão em negociação ou estavam em negociação em determinado intervalo. Formato (ISO 8601): YYYY-MM-DDTHH:mm:ss.sssZ
"2025-10-09T03%3A00%3A00.000Z"
Valor boneano que indica se a atividade está concluida ou não
"true"
Lead vinculado a atividade
Show child attributes
Show child attributes
"2025-10-09T03%3A00%3A00.000Z"
Negócio vinculado a atividade
Show child attributes
Show child attributes
Atendente vinculado a atividade
Show child attributes
Show child attributes
Tipo da atividade
Show child attributes
Show child attributes
Valor boneano que indica se a atividade é obrigatória ou não
"false"
Automação vinculada a atividade
Show child attributes
Show child attributes